import logging

from repoze.what.plugins.pylonshq import ControllerProtector
from repoze.what.predicates import not_anonymous

from sloecode.lib.base import BaseController

log = logging.getLogger(__name__)

@ControllerProtector(not_anonymous())
class PortalController(BaseController):
    """PortalController shows a user-portal, with links to the various parts
    of the system.
    """

    def index(self):
        # Return a rendered template
        return self.render('/portal.html')

